Get all assessments
get
/fscmRestApi/resources/11.13.18.05/supplierAssessments
Request
Query Parameters
-
effectiveDate: string
This query parameter is used to fetch resources which are effective dated as of the specified start date. The value of this query parameter is a string having a date in yyyy-MM-dd format
-
expand: string
When this parameter is provided, the specified children are included in the resource payload (instead of just a link). The value of this query parameter is "all" or "". More than one child can be specified using comma as a separator. Example: ?expand=Employees,Localizations. Nested children can also be provided following the format "Child.NestedChild" (Example: ?expand=Employees.Managers). If a nested child is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?expand=Employees.Managers" is the same as "?expand=Employees,Employees.Managers" (which will expand Employees and Managers).
-
fields: string
This parameter filters the resource fields. Only the specified fields are returned, which means that if no fields are specified, no fields are returned (useful to get only the links). If an indirect child resource is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?fields=Employees.Managers:Empname" is the same as "?fields=;Employees:;Employees.Managers:Empname" (which will only return the "Empname" field for Managers). the value of this query parameter is a list of resource fields. The attribute can be a direct (Example: Employees) or indirect (Example: Employees.Managers) child. It cannot be combined with expand query parameter. If both are provided, only fields will be considered.
Format: ?fields=Attribute1,Attribute2
Format for fields in child resource: ?fields=Accessor1:Attribute1,Attribute2 -
finder: string
Used as a predefined finder to search the collection.
Format ?finder=<finderName>;<variableName>=<variableValue>,<variableName2>=<variableValue2>
The following are the available finder names and corresponding finder variables- PrimaryKey Finds a assessment according to the assessment identifier.
Finder Variables- AssessmentId; integer; Value that uniquely Identifies the assessment.
- findExistingAssessments Finds existing assessments for a given combination of qualification model, supplier, and supplier site.
Finder Variables- Bind_AssessFetchType; string; Value that identifies the completed or in-progress assessments.
- Bind_QualModelId; integer; Value that identifies existing assessments for a given qualification model.
- Bind_SupplierId; integer; Value that identifies existing assessments for a given supplier.
- Bind_SupplierSiteId; integer; Value that identifies existing assessments for a given supplier ID.
- Bind_sysdate; string; System date used to identify expired assessments.
- PrimaryKey Finds a assessment according to the assessment identifier.
-
limit: integer
This parameter restricts the number of resources returned inside the resource collection. If the limit exceeds the resource count then the framework will only return the available resources.
-
links: string
This parameter can be used to show only certain links while accessing a singular resource or a resource collection. The parameter value format is a comma-separated list of : <link_relation>
Example:
self,canonical -
offset: integer
Used to define the starting position of the resource collection. If offset exceeds the resource count then no resources are returned. Default value is 0.
-
onlyData: boolean
The resource item payload will be filtered in order to contain only data (no links section, for example).
-
orderBy: string
This parameter orders a resource collection based on the specified fields. The parameter value is a comma-separated string of attribute names, each optionally followed by a colon and "asc" or "desc". Specify "asc" for ascending and "desc" for descending. The default value is "asc". For example, ?orderBy=field1:asc,field2:desc
-
q: string
This query parameter defines the where clause. The resource collection will be queried using the provided expressions. The value of this query parameter is one or more expressions. Example: ?q=Deptno>=10 and <= 30;Loc!=NY
Format: ?q=expression1;expression2
You can use these queryable attributes to filter this collection resource using the q query parameter:- AssessmentId; integer; Value that uniquely identifies the assessment.
- AssessmentName; string; Indicates the assessment name associated with the qualification model name.
- AssessmentNumber; string; Indicates the assessment number assigned to the assessment.
- AssessmentOutcome; string; Indicates the outcome assigned to the assessment.
- AssessmentOwnerId; integer; Value that uniquely identifies the owner of the assessment.
- CanceledReasonCode; string; Indicates the reason for cancellation of the assessment.
- CreatedBy; string; User who created the assessment record.
- CreationDate; string; Date and time when the application created the assessment record.
- CreationSourceCode; string; Code for the type of creation source.
- EffectiveEndDate; string; Indicates the date at the end of the date range within which the assessment row is effective.
- EffectiveStartDate; string; Indicates the date at the beginning of the date range within which the assessment row is effective.
- EvaluatedById; integer; Value that uniquely identifies the evaluator.
- EvaluationDueDate; string; Date when the assessment was due for evaluation.
- InitiativeId; integer; Value that uniquely identifies initiative.
- IsEvaluatorFlag; boolean; Contains one of the following values: true or false. If true, then the assessment outcome is set as the knockout outcome. If false, then it's not set as the knockout outcome. The default value is true.
- KnockoutFlag; boolean; Contains one of the following values: true or false. If true, then the assessment outcome is set as the knockout outcome. If false, then it's not set as the knockout outcome. The default value is true.
- LastUpdateDate; string; Date when the assessment was last updated.
- LastUpdateLogin; string; Session login associated with the user who last updated the assessment.
- LastUpdatedBy; string; User who last updated the assessment.
- NoteToSupplier; string; Indicates the note to supplier.
- OrigAssessmentOutcome; string; Indicates the note to supplier.
- OrigAssessmentScore; number; Indicates the note to supplier.
- OverridenById; integer; Value that uniquely identifies the user who has overridden the assessment score.
- ProcurementBU; string; Name of the procurement business unit.
- ProcurementBUId; integer; Value that uniquely identifies the business unit.
- QualMaximumStartDate; string; Indicates the date at the beginning of the date range within which the assessment row is effective.
- QualMinimumEndDate; string; Indicates the date at the end of the date range within which the assessment row is effective.
- QualModelId; integer; Value that uniquely identifies the qualification model ID for the assessment initiative.
- SourcingEligibilityCode; string; Indicates whether or not to display the assessment to the supplier.
- StatusCode; string; Code for the assessment status.
- StatusMeaning; string; Indicates the status assigned to the assessment.
- SupplierContact; string; Name of the supplier contact.
- SupplierId; integer; Value that uniquely identifies the supplier.
- SupplierName; string; Name of the supplier.
- SupplierSite; string; Name of the supplier site.
- SupplierSiteId; integer; Value that uniquely identifies the supplier site.
-
totalResults: boolean
The resource collection representation will include the "estimated row count" when "?totalResults=true", otherwise the count is not included. The default value is "false".
Header Parameters
-
Effective-Of: string
This header accepts a string value. The string is a semi-colon separated list of
= . It is used to perform effective date range operations. The accepted parameters are RangeMode, RangeSpan, RangeStartDate, RangeEndDate, RangeStartSequence and RangeEndSequence. The parameter values are always strings. The possible values for RangeMode are SET_LOGICAL_START, SET_LOGICAL_END, END_DATE, SET_EFFECTIVE_START, SET_EFFECTIVE_END, REPLACE_CORRECTION, REPLACE_UPDATE, RECONCILE_CORRECTION, CORRECTION, RECONCILE_UPDATE, UPDATE, ZAP and DELETE_CHANGES. The possible values for RangeSpan are PHYSICAL_ROW_END_DATE and LOGICAL_ROW_END_DATE. The values for RangeStartDate and RangeEndDate have to be a string representation of a date in yyyy-MM-dd format. The value for RangeStartSequence and RangeEndSequence must be strings such that when parsed they yield positive integers. -
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
Default Response
The following table describes the default response for this task.
Headers
-
Metadata-Context:
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version:
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Root Schema : supplierAssessments
Type:
Show Source
object-
count(required): integer
The number of resource instances returned in the current range.
-
hasMore(required): boolean
Indicates whether more resources are available on the server than the subset returned in the response. If the value is true, then there are more resources to retrieve from the server. The default value is false.
-
items: array
Items
Title:
ItemsThe items in the collection. -
limit(required): integer
The actual paging size used by the server.
-
links(required): array
Links
Title:
LinksThe link relations associated with the resource instance. -
offset(required): integer
The offset value used in the current page.
-
totalResults: integer
The estimated row count when "?totalResults=true", otherwise the count is not included.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : supplierAssessments-item-response
Type:
Show Source
object-
AssessmentId: integer
(int64)
Value that uniquely identifies the assessment.
-
AssessmentName: string
Title:
Assessment NameMaximum Length:80Indicates the assessment name associated with the qualification model name. -
AssessmentNumber: string
Maximum Length:
30Indicates the assessment number assigned to the assessment. -
AssessmentOutcome: string
Title:
OutcomeMaximum Length:80Indicates the outcome assigned to the assessment. -
AssessmentOwner: string
Title:
Assessment OwnerMaximum Length:240Name of the assessment owner. -
AssessmentOwnerId: integer
(int64)
Value that uniquely identifies the owner of the assessment.
-
AssessmentScore: number
Read Only:
trueIndicates the calculated score of the assessment. -
attachments: array
Attachments
Title:
AttachmentsThe attachments resource is used to view, create, and update attachments. -
CanceledBy: string
Title:
Canceled ByRead Only:trueMaximum Length:240Name of the user who canceled the assessment. -
CanceledById: integer
(int64)
Value that uniquely identifies the user who canceled the assessment.
-
CanceledDate: string
(date-time)
Title:
Cancellation DateIndicates the date on which the assessment is canceled. -
CanceledReasonCode: string
Maximum Length:
1000Indicates the reason for cancellation of the assessment. -
Comments: string
Title:
CommentsMaximum Length:1000Comments on the assessment. -
CreatedBy: string
Read Only:
trueMaximum Length:64User who created the assessment record. -
CreationDate: string
(date-time)
Read Only:
trueDate and time when the application created the assessment record. -
CreationSource: string
Title:
MeaningRead Only:trueMaximum Length:80Indicates the creation source of the assessment. -
CreationSourceCode: string
Maximum Length:
30Code for the type of creation source. -
CurrentDateTime: string
(date-time)
Read Only:
trueIndicates the current date and time. -
DFF: array
DFF
-
EffectiveEndDate: string
(date-time)
Title:
End DateIndicates the date at the end of the date range within which the assessment row is effective. -
EffectiveStartDate: string
(date-time)
Title:
Start DateIndicates the date at the beginning of the date range within which the assessment row is effective. -
EvaluatedBy: string
Title:
Evaluated ByRead Only:trueMaximum Length:240Value that identifies the evaluator. -
EvaluatedById: integer
(int64)
Value that uniquely identifies the evaluator.
-
EvaluationDate: string
(date-time)
Title:
Evaluation DateIndicates the date on which the evaluation for the assessment took place. -
EvaluationDueDate: string
(date)
Title:
Evaluation Due DateDate when the assessment was due for evaluation. -
ExpirationPeriod: integer
(int32)
Title:
Expiration PeriodValue used to indicate expiring assessments. -
ExpirationType: string
Title:
Expiration Reminder TypeMaximum Length:80Indicates the type of expiration reminder duration, days, weeks, or months. -
ExpirationTypeCode: string
Maximum Length:
30Code for the type of expiration type. -
ExpiringDaysCount: integer
Read Only:
trueNumber of days left until expiry for an assessment. -
HasAnyInactiveQualAreasFlag: boolean
Read Only:
trueMaximum Length:255Contains one of the following values: true or false. If true, then one or more qualification areas is inactive. If false, then there are no inactive qualification areas. There is no default value for this attribute. -
HasSuppBusRelationshipNoneFlag: boolean
Read Only:
trueMaximum Length:255Contains one of the following values: true or false. If true, then one or more qualification areas is inactive. If false, then there are no inactive qualification areas. There is no default value for this attribute. -
InitiativeId: integer
(int64)
Value that uniquely identifies initiative.
-
InitiativeLaunchDate: string
(date-time)
Title:
Launch DateRead Only:trueDate and time when the initiative was launched. -
InitiativeNumber: string
Title:
InitiativeRead Only:trueMaximum Length:30Indicates the number that's assigned to the initiative. -
IsAssessmentScoredFlag: boolean
Read Only:
trueMaximum Length:1Contains one of the following values: true or false. If true, then scoring is enabled for the assessment. If false, then scoring isn't enabled. The default value is true. -
IsEvaluatorFlag: boolean
Read Only:
trueMaximum Length:255Contains one of the following values: true or false. If true, then the assessment outcome is set as the knockout outcome. If false, then it's not set as the knockout outcome. The default value is true. -
IsSupplierInactiveFlag: boolean
Read Only:
trueMaximum Length:255Contains one of the following values: true or false. If true, then the assessment outcome is set as the knockout outcome. If false, then it's not set as the knockout outcome. The default value is true. -
IsSupplierSiteInactiveFlag: boolean
Read Only:
trueMaximum Length:255Contains one of the following values: true or false. If true, then the assessment outcome is set as the knockout outcome. If false, then it's not set as the knockout outcome. The default value is true. -
KnockoutFlag: boolean
Read Only:
trueMaximum Length:1Contains one of the following values: true or false. If true, then the assessment outcome is set as the knockout outcome. If false, then it's not set as the knockout outcome. The default value is true. -
LastUpdateDate: string
(date-time)
Read Only:
trueDate when the assessment was last updated. -
LastUpdatedBy: string
Read Only:
trueMaximum Length:64User who last updated the assessment. -
LastUpdateLogin: string
Read Only:
trueMaximum Length:32Session login associated with the user who last updated the assessment. -
LatestFlag: boolean
Read Only:
trueMaximum Length:1Contains one of the following values: true or false. If true, then the assessment is the latest assessment for a supplier, site, or BU across qualification area revisions. If false, then the assessment isn't the latest. This attribute doesn't have a default value. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
NoteToSupplier: string
Title:
Note to SupplierMaximum Length:1000Indicates the note to supplier. -
OrigAssessmentOutcome: string
Title:
Original OutcomeRead Only:trueMaximum Length:80Indicates the note to supplier. -
OrigAssessmentScore: number
Title:
Original ScoreRead Only:trueIndicates the note to supplier. -
OriginalQualModelId: integer
(int64)
Read Only:
trueIndicates the note to supplier. -
OverriddenBy: string
Title:
Overridden ByRead Only:trueMaximum Length:240Name of the person who has overridden the assessment score. -
OverrideDate: string
(date-time)
Title:
Overridden OnRead Only:trueIndicates the time when the assessment score was overridden. -
OverridenById: integer
(int64)
Value that uniquely identifies the user who has overridden the assessment score.
-
OverrideReason: string
Title:
Override ReasonMaximum Length:1000Indicates the reason behind overriding a assessment outcome. -
PreviousAssessmentId: integer
Read Only:
trueValue that uniquely identifies the previous assessment. -
PreviousAssessmentNumber: string
Read Only:
trueMaximum Length:255Number of the previous assessment. -
PreviousAssessmentOutcome: string
Title:
Previous Assessment OutcomeRead Only:trueMaximum Length:255Outcome of the previous assessment. -
ProcurementBU: string
Read Only:
trueMaximum Length:240Name of the procurement business unit. -
ProcurementBUId: integer
(int64)
Value that uniquely identifies the business unit.
-
qualifications: array
Supplier Qualifications
Title:
Supplier QualificationsList of qualifications in the supplier's assessment. -
QualMaximumStartDate: string
(date-time)
Title:
Start DateRead Only:trueIndicates the date at the beginning of the date range within which the assessment row is effective. -
QualMinimumEndDate: string
(date-time)
Title:
End DateRead Only:trueIndicates the date at the end of the date range within which the assessment row is effective. -
QualModelAutoEvalAssessmentFlag: boolean
Read Only:
trueMaximum Length:1Contains one of the following values: true or false. If true, the assessment created based on the qualification model will be automatically evaluated. If false, automatic evaluation is disabled. The default value is false. -
QualModelExpirationPeriod: integer
(int32)
Read Only:
truePeriod during which the application alerts the owner about the expiration of an assessment. -
QualModelExpirationType: string
Read Only:
trueMaximum Length:30Indicates the type of expiration reminder duration, days, weeks, or months. -
QualModelId: integer
(int64)
Value that uniquely identifies the qualification model ID for the assessment initiative.
-
QualModelSourcingEligibleFlag: boolean
Read Only:
trueMaximum Length:1Default Value:falseContains one of the following values: true or false. If true, then the qualification model is used for enabling sourcing eligibility. If false, then it's not used for enabling sourcing eligibility. The default value is false. -
QualModelStatus: string
Title:
MeaningRead Only:trueMaximum Length:80Status of the model. -
QualModelStatusCode: string
Read Only:
trueMaximum Length:30Default Value:DRAFTContains one of the following values: true or false. If true, then the qualification model is used for enabling sourcing eligibility. If false, then it's not used for enabling sourcing eligibility. The default value is false. -
ReassessQualificationFlag: boolean
Title:
On new qualificationMaximum Length:1Indicates whether or not to reassess the assessment based upon a new active qualification. -
RevisionNumber: integer
(int32)
Title:
RevisionRead Only:trueDefault Value:0Number that identifies the revision of this model. Revision 0 is the base revision. -
ShowAssessmentQualFlag: boolean
Title:
QualificationsMaximum Length:1Indicates whether or not to display the qualifications on the assessment to the supplier. -
ShowAssessmtToSuppFlag: boolean
Title:
Share assessment with supplierMaximum Length:1Indicates whether or not to display the assessment to the supplier. -
SourcingEligibility: string
Title:
Sourcing EligibilityRead Only:trueMaximum Length:80Indicates the sourcing eligibility value for the assessment. -
SourcingEligibilityCode: string
Maximum Length:
30Indicates whether or not to display the assessment to the supplier. -
StatusCode: string
Maximum Length:
80Code for the assessment status. -
StatusMeaning: string
Title:
StatusRead Only:trueMaximum Length:80Indicates the status assigned to the assessment. -
SuppContactPartyId: integer
(int64)
Value that uniquely identifies the supplier contact on assessment.
-
SupplierContact: string
Title:
Supplier ContactMaximum Length:255Name of the supplier contact. -
SupplierId: integer
(int64)
Value that uniquely identifies the supplier.
-
SupplierName: string
Title:
SupplierRead Only:trueMaximum Length:360Name of the supplier. -
SupplierSite: string
Title:
Supplier SiteRead Only:trueMaximum Length:240Name of the supplier site. -
SupplierSiteId: integer
(int64)
Read Only:
trueValue that uniquely identifies the supplier site.
Nested Schema : Attachments
Type:
arrayTitle:
AttachmentsThe attachments resource is used to view, create, and update attachments.
Show Source
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : Supplier Qualifications
Type:
arrayTitle:
Supplier QualificationsList of qualifications in the supplier's assessment.
Show Source
Nested Schema : supplierAssessments-attachments-item-response
Type:
Show Source
object-
AsyncTrackerId: string
Title:
Asynchronous Upload Tracker IdAttribute provided for the exclusive use by the Attachment UI components to assist in uploading files. -
AttachedDocumentId: integer
(int64)
Title:
Attached Document IdThe unique identifier of the attached document. -
CategoryName: string
Title:
CategoryMaximum Length:30The category of the attachment. - ContentRepositoryFileShared: boolean
-
CreatedBy: string
Title:
Created ByRead Only:trueMaximum Length:255The user who created the record. -
CreatedByUserName: string
Title:
Created By User NameRead Only:trueThe user name who created the record. -
CreationDate: string
(date-time)
Title:
Creation DateRead Only:trueThe date when the record was created. -
DatatypeCode: string
Title:
TypeMaximum Length:30Default Value:FILEA value that indicates the data type. -
Description: string
Title:
DescriptionMaximum Length:255The description of the attachment. -
DmDocumentId: string
Maximum Length:
255The document ID from which the attachment is created. -
DmFolderPath: string
Title:
Dm Folder PathMaximum Length:1000The folder path from which the attachment is created. -
DmVersionNumber: string
Maximum Length:
255The document version number from which the attachment is created. -
DownloadInfo: string
Title:
DownloadInfoJSON object represented as a string containing information used to programmatically retrieve a file attachment. -
ErrorStatusCode: string
Title:
Error Status CodeThe error code, if any, for the attachment. -
ErrorStatusMessage: string
Title:
Error Status MessageThe error message, if any, for the attachment. -
ExpirationDate: string
(date-time)
Title:
Expiration DateThe expiration date of the contents in the attachment. -
FileContents: string
(byte)
Title:
File ContentsThe contents of the attachment. -
FileName: string
Title:
File NameMaximum Length:2048The file name of the attachment. -
FileUrl: string
Title:
File UrlThe URI of the file. -
FileWebImage: string
(byte)
Title:
File Web ImageRead Only:trueThe base64 encoded image of the file displayed in .png format if the source is a convertible image. -
LastUpdateDate: string
(date-time)
Title:
Last Update DateRead Only:trueThe date when the record was last updated. -
LastUpdatedBy: string
Title:
Last Updated ByRead Only:trueMaximum Length:255The user who last updated the record. -
LastUpdatedByUserName: string
Title:
Last Updated By UserRead Only:trueThe user name who last updated the record. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
PostProcessingAction: string
Title:
PostProcessingActionThe name of the action that can be performed after an attachment is uploaded. -
Title: string
Title:
TitleThe title of the attachment. -
UploadedFileContentType: string
Title:
Uploaded File Content TypeThe content type of the attachment. -
UploadedFileLength: integer
Title:
File SizeThe size of the attachment file. -
UploadedFileName: string
Title:
Uploaded File NameThe name to assign to a new attachment file. -
UploadedText: string
Title:
Uploaded TextThe text content for a new text attachment. -
Uri: string
Title:
UriMaximum Length:4000The URI of a Topology Manager type attachment. -
Url: string
Title:
UrlMaximum Length:4000The URL of a web page type attachment. -
UserName: string
Title:
User NameRead Only:trueMaximum Length:255The login credentials of the user who created the attachment.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : link
Type:
Show Source
object-
href: string
Title:
hyperlink referenceThe URI to the related resource. -
kind: string
Title:
kindAllowed Values:[ "collection", "item", "describe", "other" ]The kind of the related resource. -
name: string
Title:
nameThe name of the link to the related resource. -
properties: object
properties
-
rel: string
Title:
relationAllowed Values:[ "self", "lov", "parent", "canonical", "child", "enclosure", "action", "custom" ]The name of the relation to the resource instance. Example: self.
Nested Schema : properties
Type:
Show Source
object-
changeIndicator: string
Change indicator or the ETag value of the resource instance.
Nested Schema : supplierAssessments-DFF-item-response
Type:
Show Source
object-
__FLEX_Context: string
Title:
Context AttributeMaximum Length:30Context Attribute -
__FLEX_Context_DisplayValue: string
Title:
Context AttributeContext Attribute -
AssessmentId: integer
(int64)
-
links: array
Links
Title:
LinksThe link relations associated with the resource instance.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : supplierAssessments-qualifications-item-response
Type:
Show Source
object-
AssessmentId: integer
(int64)
Read Only:
trueValue that uniquely identifies the assessment. -
AssessmentQualId: integer
(int64)
Read Only:
trueValue that uniquely identifies the assessment qualification. -
EffectiveEndDate: string
(date-time)
Title:
End DateRead Only:trueIndicates the end date of the supplier qualification. -
EffectiveStartDate: string
(date-time)
Title:
Start DateRead Only:trueIndicates the start date of the supplier qualification. -
EvaluationNote: string
Title:
Evaluation NoteMaximum Length:1000Indicates the note added by the evaluation team member for each qualification in the assessment. -
IsQualificationForReplaceFlag: boolean
Read Only:
trueMaximum Length:255Contains one of the following values: true or false. If true, the qualification can be replaced on the assessment. If false, the qualification can't be replaced.There is no default value for this attribute. -
KnockoutScore: integer
Title:
Knockout ScoreRead Only:trueValue indicating that a qualification score same as or less than the knockout score will give the supplier assessment the knockout outcome. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
OwnerId: integer
(int64)
Read Only:
trueValue that uniquely identifies the owner of the qualification. -
QualificationAreaId: integer
(int64)
Read Only:
trueValue that uniquely identifies the qualification area used to create the qualification. -
QualificationId: integer
(int64)
Value that uniquely identifies the qualification.
-
QualificationName: string
Title:
Qualification NameRead Only:trueMaximum Length:80Name of the qualification. -
QualificationNumber: string
Title:
QualificationRead Only:trueMaximum Length:30Indicates the number assigned to the qualification. -
QualificationOutcome: string
Title:
Qualification OutcomeRead Only:trueMaximum Length:80Indicates the outcome assigned to the qualification. -
QualificationOwner: string
Title:
OwnerRead Only:trueMaximum Length:240Name of the owner of the qualification. -
QualificationProcurementBU: string
Read Only:
trueMaximum Length:240Name of the procurement business unit. -
QualificationProcurementBUId: integer
(int64)
Read Only:
trueValue that uniquely identifies the business unit. -
QualificationScore: number
Title:
ScoreRead Only:trueIndicates the calculated score for the qualification. -
QualificationSupplierId: integer
(int64)
Read Only:
trueValue that uniquely identifies the supplier. -
QualificationSupplierSiteId: integer
(int64)
Read Only:
trueValue that uniquely identifies the supplier site. -
ReusedFlag: boolean
Maximum Length:
1Indicates the note to supplier. -
RevisionNumber: integer
(int32)
Title:
RevisionRead Only:trueDefault Value:0Revision number of this qualification area used to create the qualification. -
Status: string
Title:
StatusRead Only:trueMaximum Length:80Status of the qualification. -
StatusCode: string
Read Only:
trueMaximum Length:80Abbreviation that identifies the status of the qualification. A list of accepted values is defined in the lookup POQ_QUALIFICATION_STATUS. Review the values for this attribute using the Setup and Maintenance work area, and the Manage Standard Lookups task. -
Weight: number
Title:
WeightRead Only:trueValue that indicates the importance of the qualification in the supplier assessment. This value is used to calculate the overall score of the assessment. -
WeightedScore: number
Title:
Weighted ScoreRead Only:trueIndicates the weighted score calculated for the qualification in the supplier assessment.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source